| Home | Libraries | People | FAQ | More

##### ssl::stream::peek (1 of 2 overloads)

Peek at the incoming data on the stream.

    template<
        typename MutableBufferSequence>
    std::size_t peek(
        const MutableBufferSequence & buffers);

This function is used to peek at the incoming data on the stream, without removing it from the input queue. The function call will block until data has been read successfully or an error occurs.

###### Parameters

buffers

  The buffers into which the data will be read.

###### Return Value

The number of bytes read.

###### Exceptions

boost::system::system_error

  Thrown on failure.